Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598553 - Review Request: perl-PPIx-Regexp - Represent a regular expression of some sort
Review Request: perl-PPIx-Regexp - Represent a regular expression of some sort
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/~wyant/PPIx-Re...
:
Depends On:
Blocks: 598539
  Show dependency treegraph
 
Reported: 2010-06-01 11:40 EDT by Petr Pisar
Modified: 2013-01-10 00:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 03:34:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2010-06-01 11:40:10 EDT
Perl package providing perl(PPIx-Regexp) is necessary for upgrading perl-Padre (bug #598539).

Package description

This package parses regular expressions as they appear in Perl scripts,
generating a structure similar to the structure generated by PPI when it
parses a Perl script, and navigable in much the same way.

The PPIx::Regexp object is instantiated using either new() or
new_from_cache(). Either way, you must pass it a regular expression,
either as a string or as one of the three relevant PPI objects:
PPI::Token::StringLike::Regexp, PPI::Token::Regexp::Match, or
PPI::Token::Regexp::Substitute. In the case of new_from_cache(), only
one PPIx::Regexp object will be generated from a given PPI object;
subsequent calls with the same PPI object will return the same
PPIx::Regexp object.
Comment 1 Ralf Corsepius 2010-06-01 12:12:49 EDT
Petr, is this a bug report, a reminder to yourself or an RFE?

The normal way to handle such kind of issues in Fedora would be you to submit a package for review - What prevents you from doing so?
Comment 2 Petr Pisar 2010-06-01 12:23:55 EDT
You can view on it from all three points. However I have never submit a review request nor written a spec file from scratch. I will do that when I have sparse time. I'm not the only one who maintains perl packages in Fedora. So maybe somebody could be faster then me. Actually I use the Bugzilla for the right thing: to track distribution issues, don't I?
Comment 3 Ralf Corsepius 2010-06-01 12:38:31 EDT
Packaging perl modules is fairly easy:

To get started
* setup cpan

* run
cpanspec PPIx::Regexp

* examine, edit the resulting *.spec

* build the package in mock

Read https://fedoraproject.org/wiki/PackageMaintainers/Join
and get involved ;)
Comment 4 Chris Weyl 2010-06-02 01:59:47 EDT
(In reply to comment #2)
> You can view on it from all three points. However I have never submit a review
> request nor written a spec file from scratch. I will do that when I have sparse
> time. I'm not the only one who maintains perl packages in Fedora. So maybe
> somebody could be faster then me. Actually I use the Bugzilla for the right
> thing: to track distribution issues, don't I?    

Yep -- and here's the workflow commonly used :)

When we know there's an issue/upgrade needing attention, the tracking bug should be filed against the component itself.  Any package reviews that need to be done should be filed separately, and set to block the tracking bug.

Soo, in this case, this bug (tracking) should be filed against perl-Padre; the review bug for perl-PPIx-Regexp should be set to block this bug once it has been created (no matter who creates it).

This helps provide a distinction between the two issues here: one, that perl-Padre cannot be updated until perl-PPIx-Regexp is in Fedora; and two, the actual review process itself.
Comment 5 Chris Weyl 2010-06-02 02:08:18 EDT
....heh.  Looks like that's happening already :)  Ralf's right, tho -- this isn't a review request, as there's nothing here to review.

/me toddles off to bed
Comment 6 Petr Pisar 2010-06-02 08:46:52 EDT
Spec URL: http://ppisar.fedorapeople.org/PPIx-Regexp/perl-PPIx-Regexp.spec
SRPM URL: http://ppisar.fedorapeople.org/PPIx-Regexp/perl-PPIx-Regexp-0.007-1.fc13.src.rpm
Description: The purpose of the PPIx-Regexp package is to parse regular
  expressions in a manner similar to the way the PPI package parses Perl.
  This class forms the root of the parse tree, playing a role similar to
  PPI::Document.

It compiles cleanly against dist-f14-perltest, dist-f13 and dist-f12 on koji. rpmlint is quiet.

This my first spec file. However I already co-maintain some Perl packages. Thus I'm not sure what's correct sponsoring process. Please somebody, review this package.
Comment 7 Iain Arnell 2010-06-06 03:56:26 EDT
+ source files match upstream.  
    e1e2bfa7502ee3d606adb80753090712  PPIx-Regexp-0.007.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2233176

+ package installs properly.
+ rpmlint has no complaints:
    perl-PPIx-Regexp.noarch: I: checking
    perl-PPIx-Regexp.noarch: I: checking-url http://search.cpan.org/dist/PPIx-Regexp/ (timeout 10 seconds)
    perl-PPIx-Regexp.src: I: checking
    perl-PPIx-Regexp.src: I: checking-url http://search.cpan.org/dist/PPIx-Regexp/ (timeout 10 seconds)
    perl-PPIx-Regexp.src: I: checking-url http://www.cpan.org/authors/id/W/WY/WYANT/PPIx-Regexp-0.007.tar.gz (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(PPIx::Regexp) = 0.007
    perl-PPIx-Regexp = 0.007-1.fc14
    perl(PPIx::Regexp::Constant) = 0.007
    perl(PPIx::Regexp::Dumper) = 0.007
    perl(PPIx::Regexp::Element) = 0.007
    perl(PPIx::Regexp::Lexer) = 0.007
    perl(PPIx::Regexp::Node) = 0.007
    perl(PPIx::Regexp::Node::Range) = 0.007
    perl(PPIx::Regexp::Structure) = 0.007
    perl(PPIx::Regexp::Structure::Assertion) = 0.007
    perl(PPIx::Regexp::Structure::BranchReset) = 0.007
    perl(PPIx::Regexp::Structure::Capture) = 0.007
    perl(PPIx::Regexp::Structure::CharClass) = 0.007
    perl(PPIx::Regexp::Structure::Code) = 0.007
    perl(PPIx::Regexp::Structure::Main) = 0.007
    perl(PPIx::Regexp::Structure::Modifier) = 0.007
    perl(PPIx::Regexp::Structure::NamedCapture) = 0.007
    perl(PPIx::Regexp::Structure::Quantifier) = 0.007
    perl(PPIx::Regexp::Structure::Regexp) = 0.007
    perl(PPIx::Regexp::Structure::Replacement) = 0.007
    perl(PPIx::Regexp::Structure::Subexpression) = 0.007
    perl(PPIx::Regexp::Structure::Switch) = 0.007
    perl(PPIx::Regexp::Structure::Unknown) = 0.007
    perl(PPIx::Regexp::Support) = 0.007
    perl(PPIx::Regexp::Token) = 0.007
    perl(PPIx::Regexp::Token::Assertion) = 0.007
    perl(PPIx::Regexp::Token::Backreference) = 0.007
    perl(PPIx::Regexp::Token::Backtrack) = 0.007
    perl(PPIx::Regexp::Token::CharClass) = 0.007
    perl(PPIx::Regexp::Token::CharClass::POSIX) = 0.007
    perl(PPIx::Regexp::Token::CharClass::Simple) = 0.007
    perl(PPIx::Regexp::Token::Code) = 0.007
    perl(PPIx::Regexp::Token::Comment) = 0.007
    perl(PPIx::Regexp::Token::Condition) = 0.007
    perl(PPIx::Regexp::Token::Control) = 0.007
    perl(PPIx::Regexp::Token::Delimiter) = 0.007
    perl(PPIx::Regexp::Token::Greediness) = 0.007
    perl(PPIx::Regexp::Token::GroupType) = 0.007
    perl(PPIx::Regexp::Token::GroupType::Assertion) = 0.007
    perl(PPIx::Regexp::Token::GroupType::BranchReset) = 0.007
    perl(PPIx::Regexp::Token::GroupType::Code) = 0.007
    perl(PPIx::Regexp::Token::GroupType::Modifier) = 0.007
    perl(PPIx::Regexp::Token::GroupType::NamedCapture) = 0.007
    perl(PPIx::Regexp::Token::GroupType::Subexpression) = 0.007
    perl(PPIx::Regexp::Token::GroupType::Switch) = 0.007
    perl(PPIx::Regexp::Token::Interpolation) = 0.007
    perl(PPIx::Regexp::Tokenizer) = 0.007
    perl(PPIx::Regexp::Token::Literal) = 0.007
    perl(PPIx::Regexp::Token::Modifier) = 0.007
    perl(PPIx::Regexp::Token::Operator) = 0.007
    perl(PPIx::Regexp::Token::Quantifier) = 0.007
    perl(PPIx::Regexp::Token::Recursion) = 0.007
    perl(PPIx::Regexp::Token::Reference) = 0.007
    perl(PPIx::Regexp::Token::Structure) = 0.007
    perl(PPIx::Regexp::Token::Unknown) = 0.007
    perl(PPIx::Regexp::Token::Unmatched) = 0.007
    perl(PPIx::Regexp::Token::Whitespace) = 0.007
=
    perl >= 0:5.006
    perl(base)  
    perl(Carp)  
    perl(List::MoreUtils)  
    perl(List::MoreUtils)  
    perl(List::Util)  
    perl(:MODULE_COMPAT_5.10.1)  
    perl(Params::Util) >= 0.025
    perl(Params::Util) >= 0.25
    perl(Params::Util) >= 0.25
    perl(PPI::Document)  
    perl(PPI::Document)  
    perl(PPIx::Regexp)  
    perl(PPIx::Regexp::Constant)  
    perl(PPIx::Regexp::Lexer)  
    perl(PPIx::Regexp::Node::Range)  
    perl(PPIx::Regexp::Structure)  
    perl(PPIx::Regexp::Structure::Assertion)  
    perl(PPIx::Regexp::Structure::BranchReset)  
    perl(PPIx::Regexp::Structure::Capture)  
    perl(PPIx::Regexp::Structure::CharClass)  
    perl(PPIx::Regexp::Structure::Code)  
    perl(PPIx::Regexp::Structure::Main)  
    perl(PPIx::Regexp::Structure::Modifier)  
    perl(PPIx::Regexp::Structure::NamedCapture)  
    perl(PPIx::Regexp::Structure::Quantifier)  
    perl(PPIx::Regexp::Structure::Regexp)  
    perl(PPIx::Regexp::Structure::Replacement)  
    perl(PPIx::Regexp::Structure::Subexpression)  
    perl(PPIx::Regexp::Structure::Switch)  
    perl(PPIx::Regexp::Structure::Unknown)  
    perl(PPIx::Regexp::Token::Assertion)  
    perl(PPIx::Regexp::Token::Backreference)  
    perl(PPIx::Regexp::Token::Backtrack)  
    perl(PPIx::Regexp::Token::CharClass::POSIX)  
    perl(PPIx::Regexp::Token::CharClass::Simple)  
    perl(PPIx::Regexp::Token::Code)  
    perl(PPIx::Regexp::Token::Comment)  
    perl(PPIx::Regexp::Token::Condition)  
    perl(PPIx::Regexp::Token::Control)  
    perl(PPIx::Regexp::Token::Delimiter)  
    perl(PPIx::Regexp::Token::Greediness)  
    perl(PPIx::Regexp::Token::GroupType::Assertion)  
    perl(PPIx::Regexp::Token::GroupType::BranchReset)  
    perl(PPIx::Regexp::Token::GroupType::Code)  
    perl(PPIx::Regexp::Token::GroupType::Modifier)  
    perl(PPIx::Regexp::Token::GroupType::NamedCapture)  
    perl(PPIx::Regexp::Token::GroupType::Subexpression)  
    perl(PPIx::Regexp::Token::GroupType::Switch)  
    perl(PPIx::Regexp::Token::Interpolation)  
    perl(PPIx::Regexp::Tokenizer)  
    perl(PPIx::Regexp::Token::Literal)  
    perl(PPIx::Regexp::Token::Modifier)  
    perl(PPIx::Regexp::Token::Operator)  
    perl(PPIx::Regexp::Token::Quantifier)  
    perl(PPIx::Regexp::Token::Recursion)  
    perl(PPIx::Regexp::Token::Structure)  
    perl(PPIx::Regexp::Token::Unknown)  
    perl(PPIx::Regexp::Token::Unmatched)  
    perl(PPIx::Regexp::Token::Whitespace)  
    perl(Readonly)  
    perl(Readonly)  
    perl(Scalar::Util)  
    perl(strict)  
    perl(Task::Weaken)  

+ %check is present and all tests pass.
    + ./Build test
    t/basic.t .. ok
    t/parse.t .. ok
    t/unit.t ... ok
    All tests successful.
    Files=3, Tests=6358,  3 wallclock secs ( 0.89 usr  0.07 sys +  1.88 cusr  0.08 csys =  2.92 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

You could remove these explicit requires from the spec as they're picked up automatically.
perl(List::MoreUtils)  
perl(Params::Util) >= 0.25
perl(PPI::Document)  
perl(Readonly)  

APPROVED.
Comment 8 Rakesh Pandit 2010-06-07 02:47:55 EDT
Updating the summary of bug.
Comment 9 Petr Pisar 2010-06-07 05:45:14 EDT
New Package CVS Request
=======================
Package Name: perl-PPIx-Regexp
Short Description: Represent a regular expression of some sort
Owners: ppisar mmaslano
Branches: F-12 F-13
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-06-07 17:06:16 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Fedora Update System 2010-06-08 03:32:43 EDT
perl-PPIx-Regexp-0.007-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-PPIx-Regexp-0.007-1.fc13
Comment 12 Fedora Update System 2010-06-08 03:33:29 EDT
perl-PPIx-Regexp-0.007-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-PPIx-Regexp-0.007-1.fc12
Comment 13 Petr Pisar 2010-06-08 03:34:54 EDT
Package added and built for F14--F12.
Comment 14 Fedora Update System 2010-06-24 12:28:28 EDT
perl-PPIx-Regexp-0.007-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-06-24 12:35:25 EDT
perl-PPIx-Regexp-0.007-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.